package jp.sourceforge.shovel.entity;

public interface IDirectMessage {
    long getDirectMessageId();
    void setDirectMessageId(long directMessage);
    long getInbox();
    void setInbox(long inbox);
    long getRecipientId();
    void setRecipientId(long recipientId);
    long getSenderId();
    void setSenderId(long senderId);
    long getSent();
    void setSent(long sent);
    long getSentTime();
    void setSentTime(long sentTime);
    String getSource();
    void setSource(String source);
    String getText();
    void setText(String text);
    
    IUser getSender();
    void setSender(IUser sender);
    IUser getRecipient();
    void setRecipient(IUser recipient);
}
